Open CASCADE Technology: PTopoDS_HArray1OfHShape Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PTopoDS_HArray1OfHShape Class Reference

`#include <PTopoDS_HArray1OfHShape.hxx>`

Inheritance diagram for PTopoDS_HArray1OfHShape:
[legend]

## Public Member Functions
| PTopoDS_HArray1OfHShape (const Standard_Integer Low, const Standard_Integer Up)
| PTopoDS_HArray1OfHShape (const Standard_Integer Low, const Standard_Integer Up, const Handle< PTopoDS_HShape > &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
void | SetValue (const Standard_Integer Index, const Handle< PTopoDS_HShape > &Value)
Standard_Integer | Upper () const
Handle< PTopoDS_HShape > | Value (const Standard_Integer Index) const
| PTopoDS_HArray1OfHShape ()
| PTopoDS_HArray1OfHShape (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPTopoDS_HArray1OfHShapeLowerBound () const
void | _CSFDB_SetPTopoDS_HArray1OfHShapeLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPTopoDS_HArray1OfHShapeUpperBound () const
void | _CSFDB_SetPTopoDS_HArray1OfHShapeUpperBound (const Standard_Integer p)
const PTopoDS_FieldOfHArray1OfHShape & | _CSFDB_GetPTopoDS_HArray1OfHShapeData () const
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PTopoDS_HArray1OfHShape::PTopoDS_HArray1OfHShape | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

PTopoDS_HArray1OfHShape::PTopoDS_HArray1OfHShape | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle< PTopoDS_HShape > & | V
| ) |  |

PTopoDS_HArray1OfHShape::PTopoDS_HArray1OfHShape | ( |  | ) |
| inline

PTopoDS_HArray1OfHShape::PTopoDS_HArray1OfHShape | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

const PTopoDS_FieldOfHArray1OfHShape& PTopoDS_HArray1OfHShape::_CSFDB_GetPTopoDS_HArray1OfHShapeData | ( |  | ) | const
| inline

Standard_Integer PTopoDS_HArray1OfHShape::_CSFDB_GetPTopoDS_HArray1OfHShapeLowerBound | ( |  | ) | const
| inline

Standard_Integer PTopoDS_HArray1OfHShape::_CSFDB_GetPTopoDS_HArray1OfHShapeUpperBound | ( |  | ) | const
| inline

void PTopoDS_HArray1OfHShape::_CSFDB_SetPTopoDS_HArray1OfHShapeLowerBound | ( | const Standard_Integer | p | ) |
| inline

void PTopoDS_HArray1OfHShape::_CSFDB_SetPTopoDS_HArray1OfHShapeUpperBound | ( | const Standard_Integer | p | ) |
| inline

Standard_Integer PTopoDS_HArray1OfHShape::Length | ( |  | ) | const

Standard_Integer PTopoDS_HArray1OfHShape::Lower | ( |  | ) | const

void PTopoDS_HArray1OfHShape::SetValue | ( | const Standard_Integer | Index,
|  | const Handle< PTopoDS_HShape > & | Value
| ) |  |

Standard_Integer PTopoDS_HArray1OfHShape::Upper | ( |  | ) | const

Handle< PTopoDS_HShape > PTopoDS_HArray1OfHShape::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- PTopoDS_HArray1OfHShape.hxx